<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


namespace Kufer\KuferTools\Veranstalter\TeilnehmerInfo\UpdateTeilnehmer\HandleTeilnehmerUpdate;

class HandleTeilnehmerUpdateUseCase extends \Kufer\KuferTools\Basis\TeilnehmerInfo\UpdateTeilnehmer\HandleTeilnehmerUpdate\HandleTeilnehmerUpdateUseCase
{
  public static function getToolSectionId()
  {
    return 690;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_TEILNEHMERINFO_VA;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess($pToolSectionId)) {
      return false;
    }
    
    if (!$this->isRechtAllowed('687.0.1')) {
      return false;
    }
    
    if (!$this->request->isXsrfOk && !$this->request->isRefresh) {
      return false;
    }

    return true;
  }
}